天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 83|回复: 0

Extracting attribute tag strings from a block insert using ObjectARX

[复制链接]

该用户从未签到

主题

0

回帖

2912

积分

管理员

积分
2912
发表于 2024-6-22 09:46:18 | 显示全部楼层 |阅读模式
#include <TCHAR.H>

void ExtractAttributes()
{
ads_name ename;
ads_point pt;

if(acedEntSel("\nSelect an block: ", ename, pt) != RTNORM)
{
    acutPrintf("\nError selecting entity.");
    return;
}
AcDbObjectId eId;
acdbGetObjectId(eId, ename);
AcDbEntity* pEnt = NULL;

if (acdbOpenObject(pEnt, eId , AcDb::kForRead) != Acad::eOk)
{
    acutPrintf("\nError opening entity.");
    if(pEnt)
      pEnt->close();
    return;
}
if(pEnt->isA() != AcDbBlockReference::desc())
{
    acutPrintf("\nMust select a block insert.");
    pEnt->close();
    return;
}
AcDbBlockReference *pBlkRef = AcDbBlockReference::cast(pEnt);

AcDbAttribute *pAtt = NULL;
AcDbObjectIterator *pAttIter = pBlkRef->attributeIterator();
_TCHAR tagName[33], strValue[256];
for (pAttIter->start(); !pAttIter->done(); pAttIter->step())
{
     acdbOpenObject(pAtt, pAttIter->objectId(), AcDb::kForRead);
     // get the tag string
     _tcscpy(tagName, pAtt->tag());
     acutPrintf("\nBlock Insert Attribute tag is: %s", tagName);
     _tcscpy(strValue, pAtt->textString());
     acutPrintf("\nBlock Insert Attribute string value is: %s", strValue);
     pAtt->close();
}
delete pAttIter;
pBlkRef->close();
}

 

 

 

 

Extracting attribute tag strings from a block insert using ObjectARX
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-11-1 11:46 , Processed in 0.116791 second(s), 26 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表